#ifndef AUTOMAP_H
#define AUTOMAP_H

// defines for the default mode
#define AUTO_DFT_PWR_LVL 			0.0f 	// default power level
#define AUTO_DFT_DIST_BKWD 			0.0f 	// default distance backward
#define AUTO_DFT_ZONE 				0 		//  default zone
#define AUTO_DFT_CAM_MODE 			false 	// default are we using the camera?

////////////////////////////////////////////////////////////////
// Near Zone
////////////////////////////////////////////////////////////////
#define AUTO_NEAR_PWR_LVL 			0.5f//0.5f 	// reck power level
#define AUTO_NEAR_DIST_BKWD 		105.92f	// distance backward
#define AUTO_NEAR_ZONE 				1 		// zone

// Option 1: DEAD RECKONING
#define AUTO_NEAR_DR_CAM_MODE 		false 	// are we using the camera?
#define AUTO_NEAR_DR_B1_ANGLE_BALL 	0 		// angle to ball 
#define AUTO_NEAR_DR_B1_DIST 		105.64f 	// distance to ball REMEMBER TO CHANGE BACWARD
#define AUTO_NEAR_DR_B1_ANGLE_GOAL 	0 		// angle to goal
#define AUTO_NEAR_DR_B1_DIST_GOAL 	0.0f//28.28f 	// distance to goal REMEMBER TO CHANGE BACWARD

// Option 2: CAMERA GUIDED
#define AUTO_NEAR_CG_CAM_MODE 		true 	// are we using the camera?
#define AUTO_NEAR_CG_B1_ANGLE_BALL 	0 		// angle to ball
#define AUTO_NEAR_CG_B1_DIST 		103.64f 	// distance to ball REMEMBER TO CHANGE BACWARD
#define AUTO_NEAR_CG_B1_ANGLE_GOAL 	0 		// angle to goal
#define AUTO_NEAR_CG_B1_DIST_GOAL 	28.28f 	// distance to goal REMEMBER TO CHANGE BACWARD

// Option 3: CAMERA SEES BALLS
#define AUTO_NEAR_CSB_CAM_MODE 		true 	// are we using the camera?
#define AUTO_NEAR_CSB_B1_ANGLE_BALL 0 		// angle to ball
#define AUTO_NEAR_CSB_B1_DIST  		103.64f 	// distance to ball REMEMBER TO CHANGE BACWARD
#define AUTO_NEAR_CSB_B1_ANGLE_GOAL 0 		// angle to goal
#define AUTO_NEAR_CSB_B1_DIST_GOAL 	28.28f 	// distance to goal REMEMBER TO CHANGE BACWARD


////////////////////////////////////////////////////////////////
// Middle Zone
////////////////////////////////////////////////////////////////
#define AUTO_MID_PWR_LVL 			1.0f 	// power level
#define AUTO_MID_DIST_BKWD 			60.0f 	// distance backward
#define AUTO_MID_ZONE 				2		// zone

// Option 4: DEAD RECKONING
#define AUTO_MID_DR_CAM_MODE 		false 	// are we using the camera?
#define AUTO_MID_DR_B1_ANGLE_BALL 	0  		// angle to ball 1
#define AUTO_MID_DR_B1_DIST 		24.85f 	// distance to ball 1 REMEMBER TO CHANGE BACWARD
#define AUTO_MID_DR_B1_ANGLE_GOAL 	0 		// angle to goal 1
#define AUTO_MID_DR_B1_DIST_GOAL 	0 		// distance to goal 1 REMEMBER TO CHANGE BACWARD
//
#define AUTO_MID_DR_B2_ANGLE_BALL 	-29.84f  // angle to ball 2
#define AUTO_MID_DR_B2_DIST 		50.93f 	// distance to ball 2 REMEMBER TO CHANGE BACWARD
#define AUTO_MID_DR_B2_ANGLE_GOAL 	29.84f 	// angle to goal 2
#define AUTO_MID_DR_B2_DIST_GOAL 	0 		// distance to goal 2 REMEMBER TO CHANGE BACWARD

// Option 5: CAMERA GUIDED
#define AUTO_MID_CG_CAM_MODE 		true 	// are we using the camera?
#define AUTO_MID_CG_B1_ANGLE_BALL 	0  		// angle to ball 1
#define AUTO_MID_CG_B1_DIST 		34.85f 	// distance to ball 1 REMEMBER TO CHANGE BACWARD
#define AUTO_MID_CG_B1_ANGLE_GOAL 	0 		// angle to goal 1
#define AUTO_MID_CG_B1_DIST_GOAL 	0 		// distance to goal 1 REMEMBER TO CHANGE BACWARD
//
#define AUTO_MID_CG_B2_ANGLE_BALL 	-29.84f  // angle to ball 2
#define AUTO_MID_CG_B2_DIST 		50.93f 	// distance to ball 2 REMEMBER TO CHANGE BACWARD
#define AUTO_MID_CG_B2_ANGLE_GOAL 	29.84f 	// angle to goal 2
#define AUTO_MID_CG_B2_DIST_GOAL 	0 		// distance to goal 2 REMEMBER TO CHANGE BACWARD



//////////////////////////////////////////////////////////////
// Far Zone
//////////////////////////////////////////////////////////////
#define AUTO_FAR_PWR_LVL 			1.0f
#define AUTO_FAR_DIST_BKWD 			0.0f  // was 88
#define AUTO_FAR_ZONE 				3

// Option 6: DEAD RECKONING
#define AUTO_FAR_DR_CAM_MODE		false	// are we using the camera?
#define AUTO_FAR_DR_B1_ANGLE_BALL	0		// angle to ball 1
#define AUTO_FAR_DR_B1_DIST			25.0f	// distance to ball 1 REMEMBER TO CHANGE BACWARD  // WAS 21	
#define AUTO_FAR_DR_B1_ANGLE_GOAL	0		// angle to goal 1
#define AUTO_FAR_DR_B1_DIST_GOAL	0		// distance to goal 1 REMEMBER TO CHANGE BACWARD
//
#define AUTO_FAR_DR_B2_ANGLE_BALL	0		// angle to ball 2
#define AUTO_FAR_DR_B2_DIST			36.0f	// distance to ball 2 REMEMBER TO CHANGE BACWARD
#define AUTO_FAR_DR_B2_ANGLE_GOAL	0		// angle to goal 2
#define AUTO_FAR_DR_B2_DIST_GOAL	0		// distance to goal 2 REMEMBER TO CHANGE BACWARD
//
#define AUTO_FAR_DR_B3_ANGLE_BALL	0		// angle to ball 3
#define AUTO_FAR_DR_B3_DIST			36.0f	// distance to ball 3 REMEMBER TO CHANGE BACWARD
#define AUTO_FAR_DR_B3_ANGLE_GOAL	0		// angle to goal 3
#define AUTO_FAR_DR_B3_DIST_GOAL	0		// distance to goal 3 REMEMBER TO CHANGE BACWARD



//////////////////////////////////////////////////////////////
// Block Tunnel
//////////////////////////////////////////////////////////////
#define AUTO_BLOCK_PWR_LVL		0.0f    // power level
#define AUTO_BLOCK_DIST_BKWD	0.0f	// distance backwards
#define AUTO_BLOCK_ZONE			1	// code for the near zone, but faked to keep from doing multiple balls
#define AUTO_BLOCK_CAM_MODE		false	// are we using the camera?
#define AUTO_BLOCK_ANGLE_BALL	0		// angle to ball 1
#define AUTO_BLOCK_DIST			-34.0f	// distance to tunnel 
#define AUTO_BLOCK_ANGLE_GOAL	0		// angle to goal 1
#define AUTO_BLOCK_DIST_GOAL	0		// distance to goal 1 
#endif
