#include "WPILib.h"
#include "EncoderPID.h"
#define TICKS_PER_REVOLUTION 128
#define MOTOR_MAX_REV 5550		//The maximum RPM of the CIM motors

DistancePID::DistancePID(double r, UINT32 port) {
	dist = 0;
	radius = r;
	SourceEnc = new Counter(port);
}
DistancePID::~DistancePID() {
    delete SourceEnc;
}
double DistancePID::CalcDist() {
	double C = radius*2*3.141526;
	dist += SourceEnc->Get();
	SourceEnc->Reset();
	SourceEnc->Start();
	return (double)((dist/128.0)*C)/MAX_AUTO_DISTANCE;
}
double DistancePID::PIDGet() {
	return CalcDist();
}
double DistancePID::DistGet() {
	return dist + SourceEnc->Get();
}

void DistancePID::Reset() {
	dist = 0.0;
}
