#ifndef _TARGET_H
#define _TARGET_H

#include <vector>
#include "Vision/ColorImage.h"

class Target
{
public:
    double m_majorRadius;
    double m_minorRadius;
    double m_rawScore;
    double m_xPos;
    double m_yPos;
    double m_score;
    double m_rotation;
    double m_xMax;
    double m_imageHeight; // included so I don't have to change the code,
    					  // but can still get the raw xPos and radii (pixels)
    bool m_bothFound;

    static vector<Target> FindCircularTargets(ColorImage *image);
    double GetHorizontalAngle();
    void Print();
    bool CompareWith(Target &otherTarget);
    void createNull();
};

#endif
